#include <maps/wikimap/mapspro/services/mrc/eye/lib/detect_object/tests/common.h>

namespace maps::mrc::eye::tests {

bool hasTrafficLight(
        const db::eye::DetectedTrafficLights& trafficLights,
        const common::ImageBox& box)
{
    for (size_t i = 0; i < trafficLights.size(); ++i)
    {
        const auto trafficLight = trafficLights[i];
        if (trafficLight.box == box) {
            return true;
        }
    }

    return false;
}

} // namespace maps::mrc::eye::tests
